ru.bitel.bgbilling.modules.tv.api.server.event

## Class TvReloadLocalEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.tv.api.server.event.TvReloadLocalEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TvReloadLocalEvent
      extends LocalEvent

  Основное перечитывание конфигурации происходит асинхронно от обработки события `TvReloadEvent` (чтобы не блокировать обработку событий).
  Слушатели вешаются на данное событие, а не на `TvReloadEvent`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TvReloadLocalEvent()`
    `` | `TvReloadLocalEvent(int moduleId, int userId, java.util.Set<java.lang.Integer> oldChildrenDeviceIds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.Integer>` | `getOldChildrenDeviceIds()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TvReloadLocalEvent

          protected TvReloadLocalEvent()

    - #### TvReloadLocalEvent

          public TvReloadLocalEvent(int moduleId,
                                    int userId,
                                    java.util.Set<java.lang.Integer> oldChildrenDeviceIds)

  - ### Method Detail

    - #### getOldChildrenDeviceIds

          public java.util.Set<java.lang.Integer> getOldChildrenDeviceIds()